Tooltips
Get a version
GET
/tooltips/{id}/versions/{versionId}Needscontent.viewOne version with its full snapshot (the exact content that was published).
Authorization
secretKeyheader
AuthorizationBearer <sk_…>A secret API key from Settings → API keys. It acts with its creator's role.
Path Parameters
id*integerThe tooltip's id.
Range
1 <= valueversionId*integerThe version's id (from the versions list).
Range
1 <= valueResponse Body
OK
application/json- response
version*An immutable published snapshot of an item.
Shell
curl -X GET 'https://app.cueston.com/api/tooltips/1/versions/1'Example Response
JSON
{
"version": {
"id": 42,
"version": 3,
"note": "Clearer copy on step 2",
"hash": "7090a4327d58d501f1d2894b7f5148994c165ad4c232de0e817493669e4e9a59",
"createdBy": {
"id": 42,
"name": "Ada Lovelace",
"email": "ada@acme.com"
},
"createdAt": "2026-10-26T09:30:00Z",
"environments": [
"production"
],
"snapshot": {}
}
}